summaryrefslogtreecommitdiffstats
path: root/source/l/gmm/gmm.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/gmm/gmm.SlackBuild')
-rwxr-xr-xsource/l/gmm/gmm.SlackBuild6
1 files changed, 3 insertions, 3 deletions
diff --git a/source/l/gmm/gmm.SlackBuild b/source/l/gmm/gmm.SlackBuild
index 99751b1cc..da0ab0952 100755
--- a/source/l/gmm/gmm.SlackBuild
+++ b/source/l/gmm/gmm.SlackBuild
@@ -26,9 +26,9 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gmm
-VERSION=4.3
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
ARCH=noarch
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
@@ -47,7 +47,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP || exit 1
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
chmod -R u+w,go+r-w,a-s .